
%global meadversion 2.9.2
%global namedversion 2.9.2.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with test_utils

%{?scl:%scl_package apache-sshd}
%{!?scl:%global pkg_name %{name}}


%define maven_version 2.9.2.redhat-00001

Name:           %{?scl_prefix}apache-sshd
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Mina SSHD
Group:          Development/Java

%if %with mead
Source100: sshd-2.9.2.redhat-00001-project-sources.tar.gz
Source102: sshd-mina-2.9.2.redhat-00001-sources.jar
Source103: sshd-netty-2.9.2.redhat-00001.jar
Source104: sshd-contrib-2.9.2.redhat-00001-sources.jar
Source105: sshd-git-2.9.2.redhat-00001.jar
Source106: sshd-ldap-2.9.2.redhat-00001.jar
Source107: sshd-mina-2.9.2.redhat-00001.jar
Source108: sshd-spring-sftp-2.9.2.redhat-00001.jar
Source109: sshd-sftp-2.9.2.redhat-00001-sources.jar
Source110: sshd-contrib-2.9.2.redhat-00001.pom
Source111: sshd-ldap-2.9.2.redhat-00001.pom
Source112: sshd-cli-2.9.2.redhat-00001-sources.jar
Source113: sshd-contrib-2.9.2.redhat-00001.jar
Source114: sshd-putty-2.9.2.redhat-00001.pom
Source115: sshd-common-2.9.2.redhat-00001.jar
Source116: sshd-scp-2.9.2.redhat-00001-sources.jar
Source117: sshd-core-2.9.2.redhat-00001-tests.jar
Source118: sshd-common-2.9.2.redhat-00001-sources.jar
Source119: sshd-netty-2.9.2.redhat-00001-sources.jar
Source120: sshd-mina-2.9.2.redhat-00001.pom
Source121: sshd-git-2.9.2.redhat-00001.pom
Source122: sshd-common-2.9.2.redhat-00001-tests.jar
Source123: sshd-git-2.9.2.redhat-00001-sources.jar
Source124: sshd-spring-sftp-2.9.2.redhat-00001-sources.jar
Source125: sshd-osgi-2.9.2.redhat-00001.jar
Source126: sshd-cli-2.9.2.redhat-00001.pom
Source127: sshd-common-2.9.2.redhat-00001.pom
Source128: sshd-core-2.9.2.redhat-00001.jar
Source129: sshd-scp-2.9.2.redhat-00001.jar
Source130: sshd-osgi-2.9.2.redhat-00001-sources.jar
Source131: sshd-core-2.9.2.redhat-00001-reusable-tests.jar
Source132: sshd-openpgp-2.9.2.redhat-00001.jar
Source133: apache-sshd-2.9.2.redhat-00001.pom
Source134: apache-sshd-2.9.2.redhat-00001.zip
Source135: apache-sshd-2.9.2.redhat-00001-src.zip
Source136: sshd-core-2.9.2.redhat-00001.pom
Source137: sshd-netty-2.9.2.redhat-00001.pom
Source138: sshd-ldap-2.9.2.redhat-00001-sources.jar
Source139: sshd-putty-2.9.2.redhat-00001.jar
Source140: sshd-openpgp-2.9.2.redhat-00001-sources.jar
Source141: sshd-putty-2.9.2.redhat-00001-sources.jar
Source142: sshd-core-2.9.2.redhat-00001-sources.jar
Source143: sshd-spring-sftp-2.9.2.redhat-00001.pom
Source144: sshd-scp-2.9.2.redhat-00001.pom
Source145: sshd-cli-2.9.2.redhat-00001.jar
Source146: sshd-openpgp-2.9.2.redhat-00001.pom
Source147: apache-sshd-2.9.2.redhat-00001.tar.gz
Source148: sshd-2.9.2.redhat-00001.pom
Source149: sshd-sftp-2.9.2.redhat-00001.jar
Source150: sshd-sftp-2.9.2.redhat-00001.pom
Source151: sshd-osgi-2.9.2.redhat-00001.pom
Source152: apache-sshd-2.9.2.redhat-00001-src.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/apache/mina-sshd

%if 0
Provides:       %{?scl_prefix}apache-sshd-common = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}apache-sshd-core = %{epoch}:%{version}-%{release}
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache SSHD is a 100% pure java library to support the SSH protocols on both the client and server side.

%prep
%setup -q -n sshd-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/sshd-common-%{namedversion}.jar %{buildroot}%{_javadir}/sshd-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/sshd-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/sshd-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/sshd-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/sshd-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/sshd-core-%{namedversion}.jar %{buildroot}%{_javadir}/sshd-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/sshd-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/sshd-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/sshd-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/sshd-core-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/apache-sshd-%{namedversion}
unzip -qq %{_sourcedir}/apache-sshd-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/apache-sshd-%{namedversion} -x META-INF/\*
%{__ln_s} apache-sshd-%{namedversion} %{buildroot}%{_javadocdir}/apache-sshd
%endif

%files
%defattr(0644,root,root,0755)
%doc README.md CHANGES.md LICENSE.txt NOTICE-bin.txt NOTICE.txt
%{_javadir}/sshd-common-%{namedversion}.jar
%{_javadir}/sshd-common.jar

%{_javadir}/sshd-common-%{namedversion}-sources.jar
%{_javadir}/sshd-common-sources.jar


%{_javadir}/sshd-core-%{namedversion}.jar
%{_javadir}/sshd-core.jar

%{_javadir}/sshd-core-%{namedversion}-sources.jar
%{_javadir}/sshd-core-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/apache-sshd-%{namedversion}
%{_javadocdir}/apache-sshd
%endif


%changelog
* Thu Dec 22 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.9.2-1.redhat_00001.1
- Building new version

* Wed Dec 21 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.7.0-2.redhat_00001.1
- Built by CPaaS

* Thu Oct 14 2021 Harsha Cherukuri <hcheruku@redhat.com> - 2.7.0-1.redhat_00001.1
- Build for version 2.7.0.redhat_00001

* Mon Oct 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.4.0-3.redhat_00001.1
Built by CPaaS

* Fri Oct 08 2021 cpaas-ops <cpaas-ops@redhat.com> - 2.4.0-2.redhat_00001.1
Built by CPaaS

* Wed Nov 18 2020 Permaine Cheung <pcheung@redhat.com> - 2.4.0-1.redhat_00001.1
- 2.4.0.redhat100001

* Wed Nov 18 2020 Permaine Cheung <pcheung@redhat.com> - 2.3.0-2.redhat_00002.1
- 2.4.0.redhat100001

* Tue Nov 10 2020 Yong Yang <yyang@redhat.com> - 2.3.0-1.redhat_00002.1
-  2.4.0.redhat100001


* Tue Nov 10 2020 Yong Yang <yyang  @redhat.com> - 2.4.0-1.redhat_00001.1
- Init RPM wrapper
